version: "3.3" 
services:
   dast_client:
     image: appsentinels/dast-client:latest
     hostname: appsentinels-dast-client
     container_name: dast_client
     restart: on-failure:5
     environment:
       - saas_url=https://in-cloud.appsentinels.ai
       - api_key=<your api key>
       - clean_data=false
       - dast_client_tag=<tag name as per the Dast policy>
     deploy:
      resources:
          limits:
            cpus: '2.0'
            memory: 4096M
     networks:
        - dast-client-network
     logging:
      driver: syslog
      options:
        tag: appsentinels-dast-client
     volumes:
        - /var/crash/:/var/crash
        - /var/log/appsentinels:/var/log/appsentinels
networks:
     dast-client-network: {}
